Subject: [bug#44821] [PATCH v2] gnu: Add diff-so-fancy.

From: Leo Famulari <[email-masked]>
Date: Wed, 25 Nov 2020 18:08:48 -0500

On Mon, Nov 23, 2020 at 03:59:50PM -0300, EuAndreh via Guix-patches via wrote:
> * gnu/packages/version-control.scm (diff-so-fancy): New variable.
> ---
> Differs from previous patch by having ncurses as a propagated input.

It's impractical to propagate ncurses — ncurses is very widely used and
this will cause "profile conflicts" if anyone tries to make a profile
that refers to multiple versions of ncurses.

Is there any way to make the built package refer explicitly to the
ncurses store directory, so that it can be a regular input?